.. currentmodule:: silx.gui.plot3d

:mod:`ScalarFieldView`: 3D volume scalar data viewer
====================================================

.. automodule:: silx.gui.plot3d.ScalarFieldView

For sample code using ScalarFieldView, see :ref:`plot3d-sample-code`

.. currentmodule:: silx.gui.plot3d.ScalarFieldView

:class:`ScalarFieldView`
------------------------

.. autoclass:: ScalarFieldView
   :show-inheritance:
   :members:

Helper classes
--------------

Those classes are used by :class:`ScalarFieldView`.

:class:`CutPlane`
+++++++++++++++++

.. autoclass:: CutPlane
   :show-inheritance:
   :members:

:class:`IsoSurface`
+++++++++++++++++++

.. autoclass:: Isosurface
   :show-inheritance:
   :members:

:class:`SelectedRegion`
+++++++++++++++++++++++

.. autoclass:: SelectedRegion
   :show-inheritance:
   :members:
